DU(1)

NUME
du - estimează spațiul folosit de fișiere

REZUMAT
du [OPȚIUNE]... [FIȘIER]...
du [OPȚIUNE]... --files0-from=F

DESCRIERE

Sumează utilizarea discului de către fiecare FIȘIER, în mod recursiv pentru dosare.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-0, --null
    termină fiecare linie afișată cu NUL, nu cu o nouă linie

-a, --all
    scrie contorizarea pentru toate fișierele, nu doar pentru directoare

--apparent-size
    afișează dimensiunile aparente mai degrabă decât utilizarea dispozitivului; deși dimensiunea aparentă este de obicei mai mică, poate fi mai mare din cauza spațiilor din fișierele („disperse”), fragmentării interne, blocurilor indirecte și altele asemenea

-B, --block-size=DIMENS
    scalează dimensiunile în funcție de DIM înainte de a le afișa; de exp: „-BM” afișează dimensiunile în unități de 1.048.576 de octeți; vedeți mai jos formatul de DIMENSIUNE

-b, --bytes
    echivalent cu „--apparent-size --block-size=1”

-c, --total
    prezintă un total general

-D, --dereference-args
    elimină numai referințele legăturilor simbolice care sunt listate în linia de comandă

-d, --max-depth=N
    afișează totalul pentru un director (sau fișier, cu --all) numai dacă acesta este N sau mai puține niveluri sub argumentul liniei de comandă; --max-depth=0 este la fel ca --summarize

--files0-from=F
    afișează utilizarea spațiului dispozitivului de către fișiere listate în fișierul F, unde fiecare nume se termină cu NUL; dacă F este „-”, atunci citește numele de la intrarea standard

-H  echivalent cu --dereference-args (-D)

-h, --human-readable
    afișează dimensiunile într-un format care poate fi citit ușor de către om (de exemplu, 1K 234M 2G)

--inodes
    listează informațiile de utilizare a nodurilor-i în loc de cele ale blocurilor

-k  precum --block-size=1K

-L, --dereference
    elimină referințele tuturor legăturilor simbolice

-l, --count-links
    calculează dimensiunea tuturor legăturilor dure

-m  precum --block-size=1M

-P, --no-dereference
    nu urmărește nicio legătură simbolică (acesta este implicit)

-S, --separate-dirs
    pentru directoare nu include dimensiunea subdirectoarelor

--si
    ca -h, dar folosește puteri de 1000, nu de 1024

-s, --summarize
    afișează doar totalul pentru fiecare argument

-t, --threshold=DIM
    exclude intrările mai mici decât DIM dacă sunt pozitive, sau intrările mai mari decât DIM dacă sunt negative

--time
    afișează ora ultimei modificări a oricărui fișier din director sau a oricăruia dintre subdirectoarele acestuia

--time=CUVÂNT
    afișează timpul ca CUVÂNT în loc de ora de modificare: „atime”, „access”, „use”, „ctime” sau „status”

--time-style=STIL
    afișează timpii folosind STIL, care poate fi: „full-iso”, „long-iso”, „iso”, sau „+FORMAT”; FORMAT este interpretat ca în «date»

-X, --exclude-from=FIȘIER
    exclude fișierele care se potrivesc oricărui model din FIȘIER

--exclude=MODEL
    exclude fișierele care se potrivesc cu MODELul

-x, --one-file-system
    omite directoare pe diferite sisteme de fișiere

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Valorile afișate sunt în unități ale primei DIM disponibile din --block-size, și ale variabilelor de mediu DU_BLOCK_SIZE, BLOCK_SIZE și BLOCKSIZE. În caz contrar, unitățile sunt implicit la 1024 de octeți (sau 512 dacă este definită variabila POSIXLY_CORRECT).

Argumentul DIMENSIUNE este compus dintr-un număr întreg și o unitate opțională (exemplu: 10K este 10*1024). Unitățile sunt K,M,G,T,P,E,Z,Y,R,Q (puteri de 1024) sau KB,MB,... (puteri de 1000). Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M ș.a.m.d.

MODELE
MODEL este un model de tip shell (nu o expresie regulată). Modelul ? se potrivește cu orice caracter, în timp ce * se potrivește cu orice șir de caractere (compus din zero, unul sau mai multe caractere). De exemplu, *.o se va potrivi cu orice fișier al cărui nume se termină în .o. Prin urmare, comanda:

    du --exclude='*.o'

va omite toate fișierele și subdirectoarele care se termină în .o (inclusiv fișierul .o însuși).

AUTOR
Scris de Torbjorn Granlund, David MacKenzie, Paul Eggert și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2023 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/du>
sau local rulând comanda: «info '(coreutils) du invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.